import 'package:nui_core/nui_core.dart';

enum NUIDBNativeType{
  TEXT,
  INTEGER,
  REAL,
  BLOB,
  NULL
}

extension NUIDBDataTypeExt on NUIEntType{
  String nativeType(){
    switch(this){
      case NUIEntType.STRING : return "TEXT";
      case NUIEntType.DATE : return "TEXT";
      case NUIEntType.BOOLEAN : return "INTEGER"; //Boolean will be stored as integer, 0 (false) or 1 (true)
      case NUIEntType.INTEGER : return "INTEGER";
      case NUIEntType.DOUBLE : return "REAL";
      case NUIEntType.OBJECT : return "TEXT";
      case NUIEntType.LIST_STRING: return "TEXT";
      case NUIEntType.LIST_DOUBLE: return "TEXT";
      case NUIEntType.LIST_INT: return "TEXT";
      case NUIEntType.LIST_OBJECT : return "TEXT";
    }
    return "TEXT";
  }
}


extension NUIDBDataNativeExt on NUIEntType{
  NUIDBNativeType native(){
    switch(this){
      case NUIEntType.STRING : return NUIDBNativeType.TEXT;
      case NUIEntType.DATE : return NUIDBNativeType.TEXT;
      case NUIEntType.BOOLEAN : return NUIDBNativeType.TEXT;
      case NUIEntType.INTEGER : return NUIDBNativeType.INTEGER;
      case NUIEntType.DOUBLE : return NUIDBNativeType.REAL;
      case NUIEntType.OBJECT : return NUIDBNativeType.TEXT;
      case NUIEntType.LIST_STRING: return NUIDBNativeType.TEXT;
      case NUIEntType.LIST_DOUBLE: return NUIDBNativeType.TEXT;
      case NUIEntType.LIST_INT: return NUIDBNativeType.TEXT;
      case NUIEntType.LIST_OBJECT : return NUIDBNativeType.TEXT;
    }
    return NUIDBNativeType.TEXT;
  }
}